## sword-1.5.6.tar.gz

=== apps/windoze/Makefile ===

root := ../..
subdirs := CBuilder3
pre-targets := 
include ${root}/Makefile.cfg


s = $(c) $(cpp)
d = $(c:%.c=%.d) $(cpp:%.cpp=%.d)
o = $(c:%.c=%.o) $(cpp:%.cpp=%.o)

ifneq ($(nodeps),yes)
-include $(d)
endif

=== apps/X11/micros/Makefile ===
root := ../../..
subdirs := 
clean-targets := none
targets := micros
# set bin so we don't build these .o's into shared lib
bin := noshare
include ${root}/Makefile.cfg
CPPFLAGS  += -I.
CPPFLAGS  += `gtk-config --cflags` -I/usr/include
LDFLAGS  += `gtk-config --libs`

cpp += micros.cpp
cpp += microssig.cpp

include ${root}/Makefile.post

micros: $(o)
	$(CROSS_COMPILE)$(CC) -o $@ $(o) -L$(root)/lib $(LIBS) -lgtk -lgdk -rdynamic -lgmodule -lglib -ldl -L/usr/X11R6/lib -lXi -lXext -lX11 -lm

=== bindings/corba/java/Makefile ===
all: src/org/crosswire/sword/orb/SWMgr.java classes/org/crosswire/sword/orb/SwordOrb.class

src/org/crosswire/sword/orb/SWMgr.java: ../swordorb.idl
	idlj -pkgTranslate swordorb org.crosswire.sword.orb -td src ../swordorb.idl

classes/org/crosswire/sword/orb/SwordOrb.class: src/org/crosswire/sword/orb/SwordOrb.java
	javac -classpath /var/tomcat4/common/lib/servlet.jar -d classes -sourcepath src src/org/crosswire/sword/orb/*.java src/org/crosswire/util/*.java


clean:
	rm src/org/crosswire/sword/orb/SW*.java
	rm src/org/crosswire/sword/orb/_SW*.java
	rm src/org/crosswire/sword/orb/Mod*.java
	rm src/org/crosswire/sword/orb/String*.java
	rm -rf classes/*

install:
	cp -a classes/org/ /var/tomcat4/webapps/sword/WEB-INF/classes/

=== bindings/corba/orbitcpp/Makefile ===
all: server testclient

server: swordorb-common.o server.cpp swordorb-impl.o swordorb-cpp.o swordorb-cpp-common.o swordorb-stubs.o swordorb-cpp-stubs.o swordorb-cpp-skels.o swordorb-skels.o swordorb-cpp.o
	g++ -g -I. -I../../../include -I/usr/include/orbitcpp-2.0/ `orbit2-config --cflags` -o server server.cpp swordorb-impl.o swordorb-common.o swordorb-cpp-common.o swordorb-stubs.o swordorb-cpp-stubs.o swordorb-cpp-skels.o swordorb-skels.o `orbit2-config --libs` -lORBit-2-cpp -lsword -lz

testclient: testclient.cpp swordorb-impl.cpp swordorb-common.o swordorb-cpp-common.o swordorb-stubs.o swordorb-cpp-stubs.o swordorb-skels.o swordorb-cpp-skels.o
	g++ -I. -I../../../include -I/usr/include/orbitcpp-2.0/ `orbit2-config --cflags` -o testclient testclient.cpp swordorb-common.o swordorb-cpp-common.o swordorb-stubs.o swordorb-cpp-stubs.o swordorb-skels.o swordorb-cpp-skels.o `orbit2-config --libs` -lORBit-2-cpp

swordorb-cpp.o: swordorb-cpp.cc
	g++ -I. -I../../../include -I/usr/include/orbitcpp-2.0/ `orbit2-config --cflags` -g -c swordorb-cpp.cc

swordorb-impl.o: swordorb-impl.cpp
	g++ -g -I. -I../../../include -I/usr/include/orbitcpp-2.0/ `orbit2-config --cflags` -g -c swordorb-impl.cpp

swordorb-common.o: swordorb-common.c
	gcc -I. -I../../../include -I/usr/include/orbitcpp-2.0/ `orbit2-config --cflags` -g -c swordorb-common.c

swordorb-common.c: ./../swordorb.idl
	orbit-idl-2 -l c ./../swordorb.idl
	orbit-idl-2 -l cpp ./../swordorb.idl

swordorb-cpp-common.o: swordorb-cpp-common.cc
	g++ -I. -I../../../include -I/usr/include/orbitcpp-2.0/ `orbit2-config --cflags` -g -c swordorb-cpp-common.cc

swordorb-stubs.o: swordorb-stubs.c
	gcc -I. -I../../../include -I/usr/include/orbitcpp-2.0/ `orbit2-config --cflags` -g -c swordorb-stubs.c

swordorb-cpp-stubs.o: swordorb-cpp-stubs.cc
	g++ -I. -I../../../include -I/usr/include/orbitcpp-2.0/ `orbit2-config --cflags` -g -c swordorb-cpp-stubs.cc

swordorb-skels.o: swordorb-skels.c
	gcc -I. -I../../../include -I/usr/include/orbitcpp-2.0/ `orbit2-config --cflags` -g -c swordorb-skels.c

swordorb-cpp-skels.o: swordorb-cpp-skels.cc
	g++ -I. -I../../../include -I/usr/include/orbitcpp-2.0/ `orbit2-config --cflags` -g -c swordorb-cpp-skels.cc

clean:
	rm -f *.h *.cc *.o *.c server testclient

=== apps/windoze/CBuilder4/BibleCS/Makefile ===

root := ../../../..
pre-targets := 
include ${root}/Makefile.cfg


s = $(c) $(cpp)
d = $(c:%.c=%.d) $(cpp:%.cpp=%.d)
o = $(c:%.c=%.o) $(cpp:%.cpp=%.o)

ifneq ($(nodeps),yes)
-include $(d)
endif

=== debian/changelog ===
sword (1.5.5.99-2) unstable; urgency=low

  * Another prerelease build
  * split config files out into separate package so we can have different
    sword libs installed at the same time later on

 -- Daniel Glassey <wdg@debian.org>  Wed, 16 Jul 2003 14:48:22 +0100

sword (1.5.5.99-1) unstable; urgency=low

  * Build a pre-release from a make dist from cvs
  * change lib version for imminent 1.5.6
  * depend on icu 2.6 to test that
  * api docs have been moved out into separate source

 -- Daniel Glassey <wdg@debian.org>  Thu, 10 Jul 2003 12:45:18 +0100

sword (1.5.5-4) unstable; urgency=low

  * debian/control remove extra blank line that stops building on woody

 -- Daniel Glassey <wdg@debian.org>  Thu,  1 May 2003 09:59:14 +0100

sword (1.5.5-3) unstable; urgency=low

  * libsword-dev now depends on icu stuff so apps that build with it don't
      have to
  * conflict with libsword1 since both include config files (may split these
      out into separate package for 1.5.6), Closes #189647

 -- Daniel Glassey <wdg@debian.org>  Sat, 19 Apr 2003 16:01:05 +0100

sword (1.5.5-2) unstable; urgency=low

  * Close the new upstream bug, Closes: #175322
  * uses autotools-dev to get the uptodate config.guess and
    config.sub, hopefully will sort out mips problem, Closes: #187703
  * Utilities are now really included - bug 157115 tagged for woody
  * debian/control - change section of libsword-dev to libdevel
  * debian/rules - 
      remove alpha compiler flags since it is ok with gcc3.2, Closes: #142703
      use confflags like autotools-dev says
      copy the config.guess and .sub from autotools-dev

 -- Daniel Glassey <wdg@debian.org>  Sat,  5 Apr 2003 12:53:06 +0100

sword (1.5.5-1) unstable; urgency=low

  * New upstream release
  * Rename library package to libsword2c102 since it is a new
     libver from 1.5.3 and it is part of the gcc3.2 transition
  * build with icu support now that icu has made the transition
     so build-depend on libicu21-dev and icu
  * build depend on debhelper >= 4.0.0

 -- Daniel Glassey <wdg@debian.org>  Tue, 26 Mar 2003 18:42:28 +0000

sword (1.5.4+cvs20021008-1) unstable; urgency=low

  * try and build a package from cvs

 -- Daniel Glassey <wdg@debian.org>  Tue,  8 Oct 2002 19:08:46 +0100

sword (1.5.4-1) unstable; urgency=low

  * new upstream version
  * bump shlibs version since old version was released with woody
  * package now libsword2 instead of libsword1

 -- Daniel Glassey <wdg@debian.org>  Sat, 28 Sep 2002 13:31:47 +0100

sword (1.5.3-3) unstable; urgency=high

  * problem integrating hppa patch messed up rules, trying again
  * updating README.Debian to mention apt-gettable archive on
     crosswire

 -- Daniel Glassey <wdg@debian.org>  Sun, 14 Apr 2002 15:19:14 +0100

sword (1.5.3-2) unstable; urgency=low

  * make sure will build on gcc-3.0, sorry, Closes: #142617
  * alpha won't compile with -g flag so compiling without it
     see bug 142703

 -- Daniel Glassey <wdg@debian.org>  Sat, 13 Apr 2002 13:04:28 +0100

sword (1.5.3-1) unstable; urgency=high

  * New upstream release

 -- Daniel Glassey <wdg@debian.org>  Tue,  2 Apr 2002 21:38:58 +0100

sword (1.5.2-10) unstable; urgency=low

  * -9 failed on hppa, using namespace std needed in testblocks.cpp
     fix tested on sarti

 -- Daniel Glassey <wdg@debian.org>  Sat,  9 Feb 2002 18:20:40 +0000

sword (1.5.2-9) unstable; urgency=low

  * make the diatheke configure executable in debian/rules
        Closes: #132863
  * make diatheke description useful debian/control
  * bump shlibs version to 1.5.2-9
  * debian/rules dh_shlibdeps changed to -ldebian/tmp/usr/lib
  * compzip.cpp #include string.h and stdlib.h added for gcc 3.0 
  * README.Debian mention #sword irc channel

 -- Daniel Glassey <wdg@debian.org>  Fri,  8 Feb 2002 08:59:29 +0000

sword (1.5.2-8) unstable; urgency=low

  * rwphtml change greek_str to signed char
  * migrate to automake 1.5
  * move utilities to separate package libsword-runtime, Closes: #130909
  * new package containing diatheke from apps/console/diatheke, Closes: #130908
  * Bump standards version to 3.5.6.0

 -- Daniel Glassey <wdg@debian.org>  Thu, 24 Jan 2002 20:01:16 +0000

sword (1.5.2-7) unstable; urgency=low

  * Rename roman.cpp to romanc.cpp, Closes #130038
  * Update README.Debian to mention apt-gettable module archive
     deb http://www.crosswire.org/~glasseyes/debian unstable main

 -- Daniel Glassey <wdg@debian.org>  Wed, 23 Jan 2002 18:53:18 +0000

sword (1.5.2-6) unstable; urgency=low

  * remove -Werror, autobuilders not happy (fair enough, I can check
     through the build logs for warnings myself :) )
  * rawstr, rawstr4 more signed char in findoffset, Closes: #130038
  * c++ comments so roman.c -> roman.cpp, Closes: #129886

 -- Daniel Glassey <wdg@debian.org>  Mon, 21 Jan 2002 20:19:31 +0000

sword (1.5.2-5) unstable; urgency=low

  * char signedness fixes
     (in response to debian-devel-announce from Gerhard Tonn
     swkey: persist to signed char
     swmodule: createModule to signed char
               createSearchFramework to signed char
     versekey: book,testament to signed char
     swmgr: setCipherKey to signed char
     filemgr: trunc to signed char
     rawtext: createSearchFramework to signed char
     rawstr: findoffset to signed char
     rawstr4: findoffset to signed char
              in gettext make localsize to unsigned int      
  * use -Werror in Makefile.cfg to catch any more
  *  anything else is either already fixed or will be fixed in the
        imminent version 1.5.3

 -- Daniel Glassey <wdg@debian.org>  Thu, 17 Jan 2002 23:55:08 +0000

sword (1.5.2-4) unstable; urgency=low

  * Change maintainer to wdg@debian.org 
  * change shlibs to libsword1 >= 1.5.2-4 (gnomesword bug 123418)
      by dh_makeshlibs -V 'libsword1 (>= 1.5.2-4)' in debian/rules
  * remove reference to cheatah in package description

 -- Daniel Glassey <wdg@debian.org>  Tue, 11 Dec 2001 22:36:44 +0000

sword (1.5.2-3) unstable; urgency=low



=== debian/control ===
Source: sword
Build-Depends: debhelper (>=4.0.0), libz-dev, libicu26-dev, icu, autotools-dev
Section: libs
Priority: optional
Maintainer: Daniel Glassey <wdg@debian.org>
Standards-Version: 3.5.6.0

Package: libsword3c102
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, libsword-config (>=1.5.5.99-2)
Recommends: sword-frontend
Conflicts: libsword1
Description: API/library for bible software
 The SWORD Project is an open source, cross-platform (Linux, Windows, Solaris,
 MacOSX etc.) API/library for Bible software with a constantly growing list 
 of front-ends (GUI, textmode, web-based, etc.) and a library of over 200 
 text modules.
 .
 This package contains the core libraries for the project.
 .
 Please read the README.Debian for more information on how to obtain other
 modules for sword.

Package: libsword-dev
Architecture: any
Section: libdevel
Depends: libsword3c102 (= ${Source-Version}), libc6-dev, libz-dev, icu, libicu26-dev
Provides: sword-dev
Recommends: libsword-runtime
Description: Development files for libsword
 This package contains the static libraries and headers for developing 
 applications that use the sword library.

Package: diatheke
Architecture: any
Section: web
Depends: ${shlibs:Depends}, apache | httpd
Recommends: libapache-mod-perl | apache-perl
Description: CGI script for making bible website
 A command line utility for sword, and a cgi perl script that
 uses the utility to produce a bible browsing/searching website.

Package: libsword-runtime
Architecture: any
Section: text
Depends: ${shlibs:Depends}
Conflicts: libsword-dev (<< 1.5.3-1)
Description: Utilities for Sword
 This package contains utilities for generating data modules.

Package: libsword-config
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: Config files for Sword
 Version independent config files for Sword.

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independant
# package.

package=sword

version=$(shell expr `pwd` : '.*-\([0-9.]*\)')
version_major=$(shell expr `pwd` : '.*-\([0-9]*\).[0-9.]*')

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
#export DH_COMPAT=2

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

confflags =
# FOR AUTOCONF 2.52 AND NEWER ONLY
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += "--build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)"
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	chmod 755 configure
	./configure $(confflags) --prefix=/usr --mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info --with-zlib \
		--sysconfdir=/etc --enable-shared --with-icu
	touch configure.stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	-test -r /usr/share/misc/config.sub && \
	   cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
	   cp -f /usr/share/misc/config.guess config.guess
	-$(MAKE) distclean
	rm -f build-stamp configure-stamp install-stamp lib/lib* \
		config.h config.status config.log config.cache
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	\$(MAKE) install DESTDIR=`pwd`/debian/tmp

	dh_movefiles -plibsword-dev usr/lib/lib*so usr/lib/lib*.a \
		usr/lib/lib*.la usr/include/*
	dh_movefiles -pdiatheke usr/bin/diatheke
	dh_movefiles -plibsword-runtime usr/bin/*
	dh_movefiles -plibsword-config etc/* usr/share/sword/mods.d/globals.conf \
		usr/share/sword/locales.d/*
	#mkdir -p debian/libsword-dev/usr/share/doc/libsword-dev/html
	#cp -R doc/api-documentation/html debian/libsword-dev/usr/share/doc/libsword-dev
	mkdir -p debian/diatheke/usr/share/doc/diatheke/examples
	cp -a apps/console/diatheke/cgi/index-public.html debian/diatheke/usr/share/doc/diatheke/examples
	cp -a apps/console/diatheke/cgi/*.pl debian/diatheke/usr/lib/cgi-bin
	cp -a apps/console/diatheke/README debian/diatheke/usr/share/doc/diatheke
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir 
	dh_testroot 
	dh_installdocs 
	dh_installexamples 
	dh_installinfo
	dh_installmenu 
	#dh_installmanpages
	dh_installman
	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_strip 
	dh_link 
	dh_compress 
	dh_fixperms 
	dh_installdeb
	dh_makeshlibs -V 'libsword3c102 (>=1.5.5.99-1)'
	dh_perl 
	dh_shlibdeps -ldebian/tmp/usr/lib
	dh_gencontrol 
	dh_md5sums 
	dh_builddeb 

#source diff:                                                                  
#	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
